package com.stellvoy.api.client.learning.fallback;

import com.stellvoy.api.client.learning.LearningClient;
import com.stellvoy.api.dto.leanring.LearningInterestDTO;
import com.stellvoy.api.dto.leanring.LearningLessonDTO;
import com.stellvoy.api.dto.leanring.LearningMedalDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.ArrayList;
import java.util.List;

@Slf4j
public class LearningClientFallback implements FallbackFactory<LearningClient> {

    @Override
    public LearningClient create(Throwable cause) {
        log.error("查询学习服务异常", cause);
        return new LearningClient() {
            @Override
            public List<LearningMedalDTO> queryMedalByIds(ArrayList<Long> ids){return null;}
            @Override
            public List<LearningMedalDTO> queryMedal(){return null;}
            @Override
            public List<LearningInterestDTO> queryInterest(){return null;}
            @Override
            public List<LearningInterestDTO> queryInterestByIds(ArrayList<Long> ids){return null;}
            @Override
            public Integer countLearningLessonByCourse(Long courseId) {
                return 0;
            }

            @Override
            public Long isLessonValid(Long courseId) {
                return null;
            }

            @Override
            public LearningLessonDTO queryLearningRecordByCourse(Long courseId) {
                return null;
            }
        };
    }
}
