package com.stellvoy.api.client.remark.fallback;

import com.stellvoy.api.client.remark.RemarkClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.ArrayList;
import java.util.List;

@Slf4j
public class RemarkClientFallback implements FallbackFactory<RemarkClient> {

    @Override
    public RemarkClient create(Throwable cause) {
        log.error("查询点赞服务异常", cause);
        return new RemarkClient() {

            @Override
            public List<Long> getLikedIds(List<Long> bizIds) {
                return new ArrayList<>();
            }
        };
    }
}
