package com.stellvoy.api.client.task;


import com.stellvoy.api.client.task.fallback.TaskClientFallback;
import com.stellvoy.api.dto.task.NewTaskDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@FeignClient(value = "task-service", fallbackFactory = TaskClientFallback.class)
public interface TaskClient {
    /**
     * 根据id查任务信息
     */
    @GetMapping("/task/{id}")
    NewTaskDTO queryTaskById(@PathVariable("id") Long id);
    /**
     * 根据ids查询任务信息
     */
    @GetMapping("/task/list/{ids}")
    List<NewTaskDTO> queryTaskById(@PathVariable("ids") List<Long> ids);
}