package com.stellvoy.api.client.task.fallback;

import com.stellvoy.api.client.task.TaskClient;
import com.stellvoy.api.dto.task.NewTaskDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

@Slf4j
public class TaskClientFallback implements FallbackFactory<TaskClient> {
    @Override
    public TaskClient create(Throwable cause) {
        log.error("查询用户服务出现异常", cause);
        return new TaskClient() {
            @Override
            public NewTaskDTO queryTaskById(Long id){return null;};
            @Override
            public List<NewTaskDTO> queryTaskById(List<Long> ids){return null;};
        };
    }
}
