package com.stellvoy.api.client.user.fallback;

import com.stellvoy.api.client.user.UserClient;
import com.stellvoy.api.dto.user.LoginFormDTO;
import com.stellvoy.api.dto.user.NewUserDTO;
import com.stellvoy.api.dto.user.UserDTO;
import com.stellvoy.common.domain.dto.LoginUserDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.Collections;
import java.util.List;

@Slf4j
public class UserClientFallback implements FallbackFactory<UserClient> {
    @Override
    public UserClient create(Throwable cause) {
        log.error("查询用户服务出现异常", cause);
        return new UserClient() {
            @Override
            public NewUserDTO queryUserById(Long id){return null;};
            @Override
            public List<NewUserDTO> queryUserByIds(List<Long> ids){return null;};
            @Override
            public Long exchangeUserIdWithPhone(String phone) {
                return null;
            }

            @Override
            public LoginUserDTO queryUserDetail(LoginFormDTO loginDTO, boolean isStaff) {
                return null;
            }
        };
    }
}
