package com.stellvoy.customer.service.serviceImpl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.stellvoy.customer.entity.messageEntity;
import com.stellvoy.customer.entity.questionEntity;
import com.stellvoy.customer.entity.sessionEntity;
import com.stellvoy.customer.mapper.questionMapper;
import com.stellvoy.customer.mapper.sessionMapper;
import com.stellvoy.customer.service.questionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Collections;
import java.util.List;
@Service
public class questionServiceImpl extends ServiceImpl<questionMapper, questionEntity> implements questionService {
    @Autowired
    private questionMapper questionMapper;
    @Autowired
    private sessionMapper sessionMapper;
    @Override
    public List<questionEntity> findAnswerByQuestion(String questionContent, Long userId) {
        if (questionContent == null || userId == null) {
            return Collections.emptyList(); // 参数校验失败
        }
        // 查询问题列表
        List<questionEntity> questions = questionMapper.findAnswerByQuestion(questionContent, userId);

        sessionEntity session = sessionMapper.findSessionByUserId(userId);
        Long sessionId = null;
        if (session != null) {
           sessionId = session.getSessionId();
        }
        messageEntity message = new messageEntity();
        // 遍历问题列表并创建消息实体
            if (userId != 0) {
                message.setMessageContent(questionContent);
                message.setSessionId(sessionId);
                message.setSenderId(userId);
                message.setCreatedTime(LocalDateTime.now());
                sessionMapper.insertMessage(message);
            }
            if(questions.isEmpty()){
                message.setSenderId(0L); // 假设系统发送者的ID为0
                message.setMessageContent("您好！您的问题我们已经收到，团队正在为您耐心解决中。请您稍等片刻，如有任何进展或需要您提供进一步的信息，我们将及时与您联系。感谢您的耐心等待和理解。");
                message.setSessionId(session.getSessionId());
                message.setCreatedTime(LocalDateTime.now());
                sessionMapper.insertMessage(message);
            }else if(!questions.isEmpty()){
                for (questionEntity question : questions) {
                    message.setMessageContent(question.getAnswerContent());
                }
                message.setSessionId(sessionId);
                message.setSenderId(0L);
                message.setCreatedTime(LocalDateTime.now());
                sessionMapper.insertMessage(message);
            }
        return questions;
    }

}
