package com.stellvoy.gateway.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.HashSet;
import java.util.Set;

@Data
@Component
@ConfigurationProperties(prefix = "gig.auth")
public class AuthProperties {

    private Set<String> excludePath = new HashSet<>();

    public void addDefaultExcludes() {
            excludePath.add("/error/**");
            excludePath.add("/jwks");
            excludePath.add("/accounts/login");
            excludePath.add("/accounts/admin/login");
            excludePath.add("/accounts/refresh");
            excludePath.add("/user/**");
    }
}
