package com.stellvoy.learning.controller;

import com.stellvoy.api.dto.leanring.LearningInterestDTO;
import com.stellvoy.api.dto.leanring.LearningMedalDTO;
import com.stellvoy.common.utils.BeanUtils;
import com.stellvoy.learning.domain.po.Interest;
import com.stellvoy.learning.domain.po.Medal;
import com.stellvoy.learning.service.InterestService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/interest")
@RequiredArgsConstructor
public class InterestController {
    private final InterestService interestService;
    /**
     * 根据兴趣标签id集合查询兴趣标签
     */
    @GetMapping("/{ids}")
    public List<LearningInterestDTO> queryMedalByIds(@PathVariable("ids") ArrayList<Long> ids) {
        if(ids == null){
            return null;
        }
        interestService.lambdaQuery().in(Interest::getId, ids).list();
        return BeanUtils.copyList(interestService.listByIds(ids), LearningInterestDTO.class);
    }
    /**
     * 查询所有兴趣标签
     */
    @GetMapping()
    public List<LearningInterestDTO> queryInterest() {
        List<Interest> interestList = interestService.lambdaQuery().list();
        List<LearningInterestDTO> interestDTOList = BeanUtils.copyList(interestList, LearningInterestDTO.class);
        for (LearningInterestDTO learningInterestDTO : interestDTOList) {
            learningInterestDTO.setType(0);
        }
        return interestDTOList;
    }
}
