package com.stellvoy.learning.controller;

import com.stellvoy.api.dto.leanring.LearningMedalDTO;
import com.stellvoy.common.utils.BeanUtils;
import com.stellvoy.learning.domain.po.Medal;
import com.stellvoy.learning.service.MedalService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/medal")
@RequiredArgsConstructor
public class MedalController {
    private final MedalService medalService;
    /**
     * 根据勋章id集合查询勋章信息
     */
    @GetMapping("/{ids}")
    public List<LearningMedalDTO> queryMedalByIds(@PathVariable("ids") ArrayList<Long> ids) {
        if(ids == null){
            return null;
        }
        medalService.lambdaQuery().in(Medal::getId, ids).list();
        return BeanUtils.copyList(medalService.listByIds(ids), LearningMedalDTO.class);
    }
    /**
     * 根据勋章id集合查询勋章信息
     */
    @GetMapping()
    public List<LearningMedalDTO> queryMedal() {
        List<Medal> medalList = medalService.lambdaQuery().list();
        List<LearningMedalDTO> medalDTOList = BeanUtils.copyList(medalList, LearningMedalDTO.class);
        for (LearningMedalDTO learningMedalDTO : medalDTOList) {
            learningMedalDTO.setType(0);
        }
        return medalDTOList;
    }
}
