package com.stellvoy.learning.controller;

import com.stellvoy.learning.domain.po.Section;
import com.stellvoy.learning.domain.vo.SelectSectionById;
import com.stellvoy.learning.service.SectionService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/section")
@RequiredArgsConstructor
public class SectionController {
    private final SectionService sectionService;

    /**
     * 根据id查询小节信息
     */
    @GetMapping("/{id}")
    public SelectSectionById selectById(@PathVariable("id") Long id) {
        return sectionService.selectById(id);
    }
}
