package com.stellvoy.learning.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.stellvoy.common.utils.BeanUtils;
import com.stellvoy.learning.domain.po.Course;
import com.stellvoy.learning.domain.po.Section;
import com.stellvoy.learning.domain.vo.SelectCourseVo;
import com.stellvoy.learning.mapper.CourseMapper;
import com.stellvoy.learning.service.CourseService;
import com.stellvoy.learning.service.SectionService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

@Service
@RequiredArgsConstructor
public class CourseServiceImpl extends ServiceImpl<CourseMapper, Course> implements CourseService {
    private final SectionService sectionService;
    /**
     * 查询课程信息
     * @return
     */
    public List<SelectCourseVo> selectCourse() {
        List<Course> courseList = lambdaQuery().eq(Course::getStatus, 1).list();
        if(courseList==null){
            return null;
        }
        List<SelectCourseVo> voList = new ArrayList<>();
        for (Course course : courseList) {
            if(course==null){
                continue;
            }
            SelectCourseVo vo = BeanUtils.copyBean(course, SelectCourseVo.class);
            List<Section> sectionList = sectionService.lambdaQuery()
                    .eq(Section::getCourseId, course.getId())
                    .orderBy(true, true, Section::getSerialNum)
                    .list();
            vo.setSections(sectionList);
            voList.add(vo);
        }
        return voList;
    }
}
