package com.stellvoy.learning.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.stellvoy.common.utils.BeanUtils;
import com.stellvoy.learning.domain.po.Choose;
import com.stellvoy.learning.domain.po.PPT;
import com.stellvoy.learning.domain.po.Question;
import com.stellvoy.learning.domain.po.Section;
import com.stellvoy.learning.domain.vo.SelectSectionById;
import com.stellvoy.learning.mapper.SectionMapper;
import com.stellvoy.learning.service.ChooseService;
import com.stellvoy.learning.service.PPTService;
import com.stellvoy.learning.service.QuestionService;
import com.stellvoy.learning.service.SectionService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
@RequiredArgsConstructor
public class SectionServiceImpl extends ServiceImpl<SectionMapper, Section> implements SectionService {
    private final PPTService pptService;
    private final QuestionService questionService;
    private final ChooseService chooseService;
    /**
     * 根据id查询小节信息
     * @param id
     * @return
     */
    public SelectSectionById selectById(Long id) {
        Section section = lambdaQuery().eq(Section::getId, id).one();
        SelectSectionById selectSectionById = BeanUtils.copyBean(section, SelectSectionById.class);
        List<String> urls = pptService.lambdaQuery().eq(PPT::getSectionId, id).list()
                .stream().map(PPT::getUrl).collect(Collectors.toList());
        List<Question> questions = questionService.lambdaQuery().eq(Question::getSectionId, id).list();
        List<Long> questionIds = questions.stream().map(Question::getId).collect(Collectors.toList());
        List<Choose> chooses = chooseService.lambdaQuery().in(Choose::getQuestionId, questionIds).list();
        selectSectionById.setPptUrls(urls);
        selectSectionById.setQuestions(questions);
        selectSectionById.setChooses(chooses);
        return selectSectionById;
    }
}
