package com.stellvoy.message.controller;

import com.stellvoy.message.domain.po.Message;
import com.stellvoy.message.service.MessageService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/message")
@RequiredArgsConstructor
public class MessageController {
    private final MessageService messageService;
    /**
     * 根据userId查询用户消息列表
     */
    @GetMapping("/{userId}")
    public List<Message> selectByUserId(@PathVariable("userId") Long userId) {
        return messageService.lambdaQuery().eq(Message::getUserId, userId).list();
    }
    /**
     * 根据userId删除全部消息
     */
    @DeleteMapping("/userId/{id}")
    public void deleteByUserId(@PathVariable("id") Long userId) {
        messageService.lambdaUpdate().eq(Message::getUserId, userId).remove();
    }
    /**
     * 根据id删除单个消息
     */
    @DeleteMapping("/messageId/{id}")
    public void deleteById(@PathVariable("id") Long messageId) {
        messageService.removeById(messageId);
    }
}
