package com.stellvoy.task.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("task")
public class TaskEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private Long id;
    private String taskName; // 任务名称
    private String taskDescription; // 任务描述
    private LocalDateTime createTime; // 任务创建时间
    private LocalDateTime endTime; // 任务完成时间
    private LocalDateTime updateTime; // 任务修改时间，分派时间
    private String projectCycle; // 项目周期
    private Long createId; // 创建人id
    private String createName; // 创建人姓名
    private Long labelId; // 标签
    private Long number; // 所需人数
    private Long recruitedNumber; // 已招券人数
    private Long status; // 任务状态:0，库存中;1，已出库;2，已完成
    private String image; // 推送任务显示图
    private String pdfFile; // 任务要求(pdf,文件格式)
    private Double taskRate; // 任务单价（元/条）
    private String requirementType; // 需求类型
    private LocalDateTime feedBack; // 报名反馈
    private String code; // 工会二维码
    private LocalDateTime applicationDeadline; // 报名截止时间
    private Long totalWorkload; // 任务总量
    private LocalDateTime beginTime;//任务开始时间

}
