package com.stellvoy.task.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.stellvoy.task.entity.TaskEntity;
import com.stellvoy.task.entity.UserTaskEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


import java.util.List;

@Mapper
public interface TaskMapper extends BaseMapper<TaskEntity> {
    /**
     * 根据标签查询任务,任务招募
     * @param userId
     * @return
     */
    List<TaskEntity> findTasksByUserId(@Param("userId") Long userId);
    /**
     * 未登录用户根据时间排序随机推送8条最新任务数据
     * @return
     */
    List<TaskEntity> findTopEightEnabledTasks();
    /**
     * 根据登录人ID获取我的任务
     * @param userId
     * @return
     */
    List<TaskEntity> findMyTasksByUserId(@Param("userId") Long userId, @Param("currentPage") int currentPage, @Param("pageSize") int pageSize);
    int countMyTasksByUserId(@Param("userId") Long userId);
    /* 获取前五名排名，获取当前用户的排名
     * @param userId
     * @return
     */
    void createTopFiveUsersTempTable(@Param("userId") Long userId);
    List<UserTaskEntity> findTopFiveAndCurrentUserIncome(@Param("userId") Long userId);
    void dropTopFiveUsersTempTable(@Param("userId") Long userId);

    /**
     * 根据当前登录人id,获取对应标签
     * @param userId
     * @return
     */
//    List<LabelEntity> findLableByUserId(@Param("userId") Long userId);
}
