package com.stellvoy.task.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.stellvoy.task.entity.IncomeEntity;
import com.stellvoy.task.entity.TaskEntity;
import com.stellvoy.task.util.PageInfo;

import java.util.List;
import java.util.Map;

public interface TaskService extends IService<TaskEntity> {
    /**
     * 根据标签查询任务,任务招募
     * @param userId
     * @return
     */
    List<TaskEntity> getTasksByUserId(Long userId);

    /**
     * 根据登录人ID获取我的任务
     * @param userId
     * @return
     */
    PageInfo<TaskEntity> getMyTasksByUserIdWithPagination(Long userId, int pageNumber, int pageSize);
    int getTotalTaskCount(Long userId);
    /**
     * 获取前五名排名，获取当前用户的排名
     * @param userId
     * @return
     */
    Map<String, Object> getFindTopFiveAndCurrentUserIncome(Long userId);

}
