package com.stellvoy.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.stellvoy.api.dto.user.LoginFormDTO;
import com.stellvoy.api.dto.user.UserDTO;
import com.stellvoy.common.domain.dto.LoginUserDTO;
import com.stellvoy.user.domain.dto.*;
import com.stellvoy.user.domain.po.User;
import com.stellvoy.user.domain.vo.UserDetailVO;

/**
 * <p>
 * 学员用户表 服务类
 * </p>
 */
public interface IUserService extends IService<User> {
    LoginUserDTO queryUserDetail(LoginFormDTO loginDTO, boolean isStaff);

    void resetPassword(Long userId);

    UserDetailVO myInfo();

    void addUserByPhone(User user, String code);

    void updatePasswordByPhone(String cellPhone, String code, String password);

    Long saveUser(UserDTO userDTO);

    void updateUser(UserDTO userDTO);

    void updateUserWithPassword(UserFormDTO userDTO);

    User phoneRegister(UserRegisterDTO dto);

    void verifyCode(VerifyCodeDTO dto, Long userId);

    void updatePassword(UpdatePasswordDTO dto, Long userId);

    void updateEmail(UpdateEmailDTO dto, Long userId);

    UserTaskDTO getStats(Long userId);
}
