package com.stellvoy.user.utils;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class AliyunIdCardVerifier {
    @Value("${aliyun.identity-check.url}")
    private  String hostUrl;
    @Value("${aliyun.identity-check.app-code}")
    private  String appCode;
    public boolean verifyIdentityCard(String identityCardId, String nickName) {
        String host = hostUrl;
        String path = "/id2meta";
        String method = "GET";
        String appcode = appCode;
        Map<String, String> headers = new HashMap<String, String>();
        headers.put("Authorization","APPCODE " + appcode);
        Map<String, String> querys = new HashMap<String, String>();
        querys.put("identifyNum", identityCardId);
        querys.put("userName", nickName);
        try {
            HttpResponse response = HttpUtils.doGet(host, path, method, headers, querys);
            String jsonString = EntityUtils.toString(response.getEntity());
            JSONObject jsonObject = new JSONObject(jsonString);
            String code = jsonObject.getString("code");
            JSONObject dataObject = jsonObject.getJSONObject("data");
            String bizCode = dataObject.getString("bizCode");
            return "200".equals(code) && "1".equals(bizCode);
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

}
