package com.stellvoy.user.utils;


import com.aliyun.dysmsapi20170525.Client;
import com.aliyun.dysmsapi20170525.models.SendSmsRequest;
import com.aliyun.dysmsapi20170525.models.SendSmsResponse;
import com.aliyun.teaopenapi.models.Config;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class SmsService {
    @Value("${sms.accessKeyId}")
    private  String accessKeyId;
    @Value("${sms.accessKeySecret}")
    private  String accessKeySecret;


    private Client getClient() throws Exception {
        Config config = new Config();
        config.accessKeyId = accessKeyId;
        config.accessKeySecret = accessKeySecret;
        return new Client(config);
    }

    public SendSmsResponse sendVerificationCode(String phoneNumber, String signName, String templateCode, String templateParam) throws Exception {
        Client client = getClient();
        SendSmsRequest request = new SendSmsRequest()
                .setPhoneNumbers(phoneNumber)
                .setSignName(signName)
                .setTemplateCode(templateCode)
                .setTemplateParam(templateParam);
        return client.sendSms(request);
    }
}